Accompanying source to the paper presenting the fill algorithm.
The zip file contains 5 files:

  - `README.md`: this file containig usage instructions
  - `PNP.hpp`: header file with the implementation of the algorithm
  - `nanoflann.hpp`: header file with implementation of the k-d tree structure, copied from nanoflann
    repository
  - `example.cpp`: source file that showcases basic algorithm usage
  - `plot_example.m`: a Matlab/Octave source file that plots

To compile the example, a C++11 compliant compiler and the Eigen matrix library must be present
on your system. The Eigen matrix library is easily obtainable from http://eigen.tuxfamily.org/.

To compile the test case, simply run
```
g++ -o example example.cpp -std=c++11 -O3 -Wall -DNDEBUG
```

The compilation should succeed without errors or warnings.
Then, simply run

```
./example
```
which will fill a `d`-dimensional sphere with variable density nodes.
The program runs the 1, 2 and 3-dimensional example for a specified
and saves the nodes in a file named `example[d].txt`, where `[d]` is substituted
with current dimension. The accompanying script `plot_example.m` can be used to plot
the generated nodes.

Jure Slak, jure.slak@ijs.si
Gregor Kosec, gregor.kosec@ijs.si
